package com.goafanti.admin.service;

import com.goafanti.common.model.Department;
import com.goafanti.common.model.WorkingHours;

import java.util.List;


public interface DepartmentService {

	int addWorkingHours(WorkingHours in);

	int deleteWorkingHours(Integer id);

	Object selectWorkingHours();

	Object getWorkingHours(String depId);

	boolean checkWorkingHoursType(WorkingHours type);

	boolean checkDepWorkingHouresType(Integer id);

	/**
	 * 查询分管部门、查询管理部门
	 * @return
	 */
	List<String> selectMyDeps();



	List<String> selectMyDeps(String depId);

	/**
	 * 查出部门，及下级部门
	 * @param deps 部门集合

	 */
	List<String> selectSubDeps(String  deps);
	List<String> selectSubDeps(List<String>  deps);



	List<Department> selectSubordinateDeps(String depId);

	List<String>  parseArray(String deps);

	/**
	 *
	 * @param aDep 权限获取到部门
	 * @param deps 筛选部门
	 * @return 返回权限部门中的筛选部门
	 */
	List<String> comparePermissions(List<String> aDep, String deps);


	int updateWorkingHours(WorkingHours in);
}
